{% extends "base.html" %}
{% load bootstrap_tags %}
{% load custom_tags %}
{% load static %}


{% block css %}
<link rel="stylesheet" href="{% static 'css/style_slider.css' %}"  type="text/css">
{% endblock css %}

{% block content %}

<div class="slider-show row">
    <button class="group-prev btn btn-info" style="width: 15%; height: 99px" type="button">Prev</button>
    <div class="group-set set-middle">
        {% for group in groups %}
            <h1 class="group-list" style="display: none">{{ group.course}}</h1>
        {% endfor %}
    </div>
    <button class="group-next btn btn-primary" style="width: 15%; height: 99px" type="button">Next</button>
</div>
<br>
<br>
<table class="table">
    <tr>
        <th>Course</th>
        <th>Students quantity</th>
        <th>The youngest student age</th>
        <th>The oldest student age</th>
        <th>Average students age</th>
        <th>Group lead</th>

    </tr>
    {% for group in groups %}
    <tr>
        <td>
             <a href="{% url 'update_group' group.id %}">{{ group.course }}</a>
        </td>
        <td>{{ group.stq }}</td>
        <td>{{ group.stmin }}</td>
        <td>{{ group.stmax }}</td>
        <td>{{ group.stavg }}</td>
        <td>
             {% for lead in group.group_lead.all %}
                {{ lead.name}}
             {% endfor %}
        </td>
    {%  endfor %}
</table>
{% endblock content %}


{% block js %}
<script src="{% static 'js/script_slider.js' %}"></script>
{% endblock js %}


